# Generated by Django 3.2.9 on 2021-12-05 16:54

import datetime
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Apartments',
            fields=[
                ('ApartmentID', models.AutoField(primary_key=True, serialize=False)),
                ('ApartmentName', models.CharField(max_length=100)),
                ('ApartmentAddress', models.CharField(max_length=100)),
                ('NumberOfRooms', models.IntegerField(blank=True, null=True)),
                ('AppartmentFloor', models.IntegerField(blank=True, null=True)),
                ('ApartmentSize', models.FloatField(blank=True, null=True)),
                ('TotalAreaSize', models.FloatField(blank=True, null=True)),
                ('BalconySize', models.FloatField(blank=True, null=True)),
                ('ScrapingDate', models.DateField(default=datetime.datetime.now)),
            ],
        ),
        migrations.CreateModel(
            name='Projects',
            fields=[
                ('ProjectID', models.AutoField(primary_key=True, serialize=False)),
                ('ProjectName', models.CharField(max_length=100)),
                ('ProjectAddress', models.CharField(max_length=100)),
                ('ProjectTotalApartments', models.IntegerField(blank=True, null=True)),
                ('ScrapingDate', models.DateField(default=datetime.datetime.now)),
            ],
        ),
        migrations.CreateModel(
            name='ProjectAvailability',
            fields=[
                ('AvailibilityID', models.AutoField(primary_key=True, serialize=False)),
                ('ProjectAvailableApartments', models.IntegerField(blank=True, null=True)),
                ('ScrapingDate', models.DateField(default=datetime.datetime.now)),
                ('Project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='HistoricalAvailabilities', to='ApartmentsApp.projects')),
            ],
        ),
        migrations.CreateModel(
            name='ApartmentStatus',
            fields=[
                ('StatusID', models.AutoField(primary_key=True, serialize=False)),
                ('ReservationStatus', models.CharField(blank=True, max_length=100, null=True)),
                ('SalesPrice', models.FloatField(blank=True, null=True)),
                ('ScrapingDate', models.DateField(default=datetime.datetime.now)),
                ('Apartment', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='HistoricalStatuses', to='ApartmentsApp.apartments')),
            ],
        ),
        migrations.AddField(
            model_name='apartments',
            name='Project',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='ApartmentsApp.projects'),
        ),
    ]
